WP6ExtendedCharacterGroup Class Reference

`#include <WP6ExtendedCharacterGroup.h>`

Inheritance diagram for WP6ExtendedCharacterGroup:

## Public Member Functions

| WP6ExtendedCharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Protected Member Functions

void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes

unsigned char | m_character
unsigned char | m_characterSet

## Additional Inherited Members

Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## WP6ExtendedCharacterGroup()

WP6ExtendedCharacterGroup::WP6ExtendedCharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

## Member Function Documentation

## _readContents()

void WP6ExtendedCharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override protected virtual

Implements WP6FixedLengthGroup.

## parse()

void WP6ExtendedCharacterGroup::parse | ( | WP6Listener * | listener | ) |

override virtual

Implements WP6Part.

## Member Data Documentation

## m_character

unsigned char WP6ExtendedCharacterGroup::m_character

private

Referenced by _readContents(), parse(), and WP6ExtendedCharacterGroup().

## m_characterSet

unsigned char WP6ExtendedCharacterGroup::m_characterSet

private

Referenced by _readContents(), parse(), and WP6ExtendedCharacterGroup().

The documentation for this class was generated from the following files:

- WP6ExtendedCharacterGroup.h
- WP6ExtendedCharacterGroup.cpp